curl -X DELETE "https://app.talkover.ai/api/v1/calendars/calendar-uuid-1/providers/conn-uuid-1" \
-H "Authorization: Bearer talq_your_environment_token_here"
{
"success": true,
"message": "Provider connection removed"
}
Provider Connections
Disconnect Provider
Remove a calendar’s connection to an external provider
DELETE
/
api
/
v1
/
calendars
/
{calendar_id}
/
providers
/
{provider_id}
curl -X DELETE "https://app.talkover.ai/api/v1/calendars/calendar-uuid-1/providers/conn-uuid-1" \
-H "Authorization: Bearer talq_your_environment_token_here"
{
"success": true,
"message": "Provider connection removed"
}
Disconnect Provider
Remove a calendar’s connection to an external provider. Existing events that were synced from the provider are preserved but stop receiving updates.Endpoint
DELETE /api/v1/calendars/{calendar_id}/providers/{provider_id}
Path parameters
string
required
Calendar UUID.
string
required
Provider connection UUID.
Request headers
string
required
Bearer token. Format:
Bearer talq_your_environment_token_hereExamples
curl -X DELETE "https://app.talkover.ai/api/v1/calendars/calendar-uuid-1/providers/conn-uuid-1" \
-H "Authorization: Bearer talq_your_environment_token_here"
Response
{
"success": true,
"message": "Provider connection removed"
}
Was this page helpful?